Retry failed webhook delivery
1 min
POST
https://app.amberflo.io/webhook/retry
Body Parameters
- bodywebhook-retry-requestDescription
- accountEventIdstringrequiredDescription
- webhookIdstringDescription
- destinationUrlstringDescription
- authHeaderstring[]Description
- extraHeadersarray[]Description
Responses
200
- webhook-retry-responseDescription
- objectwebhook-retry-request
- accountEventIdstringrequiredDescription
- webhookIdstringDescription
- destinationUrlstringDescription
- authHeaderstring[]Description
- extraHeadersarray[]Description
- object
- statusCodeintegerDescription
- responsestringDescription
400
401
403
404
500
curl
curl --request POST \
--url https://app.amberflo.io/webhook/retry \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"accountEventId": ""
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"accountEventId": ""
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://app.amberflo.io/webhook/retry", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/webhook/retry")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"accountEventId": ""
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/webhook/retry"
payload = json.dumps({
"accountEventId": ""
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Webhook retry attempt completed with delivery status and response details
{
"accountEventId": "",
"webhookId": "",
"destinationUrl": "",
"authHeader": [
""
],
"extraHeaders": [
[
""
]
],
"statusCode": 0,
"response": ""
}400
// Invalid request parameters or malformed request body
401
// Missing or invalid API key authentication
403
// Insufficient permissions to access this resource
404
// Webhook event not found or no longer available for retry
500
// Internal server error occurred while processing request